﻿Ext.define('App.Control.Kivii.Finances.General.Storage.List', {
    extend: 'System.Control.EntityStorage',
    xtype:'App.Control.Kivii.Finances.General.Storage.List',
    // commands: {
    //     FolderPath: '/Finances/Settlement/Files',
    //     FolderType: 'Kivii.Finances.Entities.Settlement'
    //     // OwnerKvid:_record.data.Kvid
    // },
    store: {
        autoLoad: false
    },
    plugins: [{
        ptype: 'cellediting',
        clicksToEdit: 0
    }],
    header: false,
    columns: {
        defaults: {
            menuDisabled: true,
            sortable: true
        },
        items: [{
            dataIndex: 'Name',
            text: '文 件 名',
            cellWrap: true,
            flex: 100,
            minWidth: 250,
            editor: {
                xtype: 'textfield',
                enforceMaxLength: true,
                maxLength: 100,
                allowBlank: false
            }
        }, {
            dataIndex: 'Length',
            text: '文件大小',
            cellWrap: true,
            xtype: 'numbercolumn',
            minWidth: 60,
            renderer: Ext.util.Format.fileSize
        }, {
            dataIndex: 'Version',
            text: '文件版本',
            cellWrap: true,
            xtype: 'numbercolumn',
            minWidth: 80,
            format: '0.00'

        }, {
            dataIndex: 'PublishTime',
            text: '上传时间',
            cellWrap: true,
            xtype: 'datecolumn',
            minWidth: 120,
            format: 'y-m-d H:i'
        }, {
            dataIndex: 'Tags',
            text: '文件标签',
            cellWrap: true,
            flex: 100,
            minWidth:100,
            editor: {
                xtype: 'textfield',
                enforceMaxLength: true,
                maxLength: 100
            }
        }, {
            dataIndex: 'CreatorName',
            text: '上传人',
            minWidth: 80
        }, {
            dataIndex: 'Description',
            text: '描述',
            cellWrap: true,
            flex: 500,
            minWidth: 200,
            editor: {
                xtype: 'textarea',
                height: 40
            }
        }]
    }
});